Subject: Re: bug#48406: 28.0.50; Emacs stuck in infinite loop in wait_reading_process_output when opening in fullscreen (NS)

From: Illia Ostapyshyn <[email-masked]>
Date: Sat, 5 Jun 2021 18:21:59 +0200

> On Jun 5, 2021, at 15:45, Alan Third <[email-masked]> wrote:
> 
> Patch attached.
> 
> I think this is probably pretty safe, but I'll leave it a couple of
> days in case someone finds a problem with it.
> -- 
> Alan Third
> <0001-Remove-pause-on-fullscreening-in-NS-bug-48406.patch>

Hello Alan,

thank you for working on this. I am going to apply this patch and report any
possible issues with it. I commented out that problematic pause for fullscreen
transition myself just after starting this thread and didn’t encounter any
issues so far.

By the way, there seems to be a compilation issue as not all references to
in_fullscreen_transition were removed (see attachment).